package rocks.zipcode.io.quiz4.collections;

import java.io.Serializable;
import java.util.Arrays;
import java.util.TreeSet;
import java.lang.String;

/**
 * @author leon on 11/12/2018.
 */

public class ComparableTreeSet<_> extends TreeSet implements Comparable<_>{
    TreeSet<_> treeSet;

    public ComparableTreeSet(_... arr) {
        treeSet = createTreeSet(arr);
    }

    public ComparableTreeSet() {
    }

    public int compareTo(ComparableTreeSet<_> o) {
        return Integer.valueOf(compareTo(o.treeSet.first()));
    }

    private TreeSet<_> createTreeSet(_... arr){
        TreeSet<_> set = new TreeSet<>();
        for (_ s: arr) {
            set.add(s);
        }
        return set;
    }

    @Override
    public int compareTo(_ o) {
        String s1 = this.treeSet.first().toString();
        String s2 = o.toString();
        return s1.compareTo(s2);
    }

    @Override
    public String toString() {
        return treeSet.toString();
    }
}


//public class ComparableTreeSet<java.lang.String>  implements Comparable<java.lang.String>, Serializable {
//        TreeSet<String> treeSet; // = new TreeSet<>();
//
//public ComparableTreeSet(String... arr) {
//        treeSet = createTreeSet(arr);
//        }
//
//public ComparableTreeSet() {
//        }
//
//public Integer compareTo(ComparableTreeSet o) {
//        String s1 = this.treeSet.first();
//        String s2 = (String)o.treeSet.first();
//        return s1.compareTo(s2);
//        }
//
//public int compareTo(java.lang.String o) {
//        return 0;
//        }
//
//@Override
//public java.lang.String toString() {
//        return treeSet.toString();
//        }
//
