package rocks.zipcode.io.quiz4.generics;

import java.util.TreeSet;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<SomeType> extends Group<SomeType> {
    TreeSet<SomeType> set = new TreeSet<>();

    @Override
    public void insert(SomeType value) {
        set.add(value);
    }

    @Override
    public void delete(SomeType value) {
        set.remove(value);
    }

    public Integer indexOf(SomeType firstValue) {
        return set.contains(firstValue) ? set.headSet(firstValue).size() : -1;
    }
}
