package rocks.zipcode.io.quiz4.objectorientation;

/**
 * @author leon on 11/12/2018.
 */
public class StringAssembler {
    Character delimeter;
    StringBuilder builder;

    public StringAssembler(Character delimeter) {
        this.delimeter = delimeter;
        builder = new StringBuilder();
    }

    public StringAssembler append(String str) { // StringAssembler
        builder.append(str + delimeter);
        return this;
    }

    public String assemble() {
        return builder.toString().substring(0, builder.length()-1);
    }
}
