package rocks.zipcode.io.quiz4.objectorientation;

import rocks.zipcode.io.quiz4.fundamentals.StringEvaluator;

/**
 * @author leon on 19/12/2018.
 */
public class StringEvaluatorObject {
    StringEvaluator evaluator;
    String firstInput;

    public StringEvaluatorObject(String str) {
        this.firstInput = str;
        this.evaluator = new StringEvaluator();
    }

    public String[] getAllPrefixes() {
        return evaluator.getAllPrefixes(firstInput);
    }

    public String[] getCommonPrefixes(String secondInput) {
        return evaluator.getCommonPrefixes(firstInput, secondInput);
    }

    public String getLargestCommonPrefix(String secondInput) {
        return evaluator.getLargestCommonPrefix(firstInput, secondInput);
    }
}
