package rocks.zipcode.io.quiz4.generics;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author leon on 18/12/2018.
 */
public class Group<SomeType> implements GroupInterface<SomeType>{
    ArrayList<SomeType> list;
    public Group() {
        this.list = new ArrayList<>();
    }

    public Integer count() {
        return list.size();
    }

    public void insert(SomeType value) {
        list.add(value);
    }

    public Boolean has(SomeType value) {
        return list.contains(value);
    }

    public SomeType fetch(int indexOfValue) {
        return list.get(indexOfValue);
    }

    public void delete(SomeType value) {
        list.remove(value);
    }

    public void clear() {
        list.clear();
    }

    public Iterator<SomeType> iterator() {
        return list.iterator();
    }

    @Override
    public String toString() {
        return "" + list;
    }
}
