package rocks.zipcode.io.quiz4.objectorientation;

import rocks.zipcode.io.quiz4.fundamentals.PalindromeEvaluator;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeObject {
    PalindromeEvaluator evaluator;
    String object;

    public PalindromeObject(String input) {
        this.object = input;
        evaluator = new PalindromeEvaluator();
    }

    public String[] getAllPalindromes(){

        return evaluator.getAllPalindromes(object);
    }

    public Boolean isPalindrome(){

        return evaluator.isPalindrome(object);
    }

    public String reverseString(){

        return evaluator.reverseString(object);
    }
}
